Skip to content
Get Started

List current shared locations

GET/api/location

Read the current Find My locations already shared with a supported Sendblue number. For shared-worker-backed lines, results are filtered to verified contacts.

Query ParametersExpand Collapse
from_number: string

Your Sendblue number in E.164 format

ReturnsExpand Collapse
from_number: optional string
locations: optional array of object { location, number, state }
location: optional object { accuracy, address, altitude, 6 more }
accuracy: optional number
address: optional string
altitude: optional number
expiresAt: optional string
latitude: optional number
locationType: optional "shallow" or "live" or "legacy" or "unknown"
One of the following:
"shallow"
"live"
"legacy"
"unknown"
longitude: optional number
refreshError: optional string

Present when cached data is returned after a refresh error

timestamp: optional string
number: optional string
state: optional "not_shared" or "shared_no_fix_yet" or "shared_with_fix"
One of the following:
"not_shared"
"shared_no_fix_yet"
"shared_with_fix"
status: optional "OK"

List current shared locations

curl https://api.sendblue.co/api/location \
    -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
    -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET"
{
  "from_number": "+18887776666",
  "locations": [
    {
      "location": {
        "accuracy": 12,
        "address": "San Francisco, CA",
        "altitude": 8,
        "expiresAt": "2026-06-30T20:00:00.000Z",
        "latitude": 37.7749,
        "locationType": "live",
        "longitude": -122.4194,
        "refreshError": "Timed out refreshing Find My locations",
        "timestamp": "2026-06-30T19:00:00.000Z"
      },
      "number": "+19998887777",
      "state": "shared_with_fix"
    }
  ],
  "status": "OK"
}
Returns Examples
{
  "from_number": "+18887776666",
  "locations": [
    {
      "location": {
        "accuracy": 12,
        "address": "San Francisco, CA",
        "altitude": 8,
        "expiresAt": "2026-06-30T20:00:00.000Z",
        "latitude": 37.7749,
        "locationType": "live",
        "longitude": -122.4194,
        "refreshError": "Timed out refreshing Find My locations",
        "timestamp": "2026-06-30T19:00:00.000Z"
      },
      "number": "+19998887777",
      "state": "shared_with_fix"
    }
  ],
  "status": "OK"
}